package com.tagfriendly.freedb;

import com.tagfriendly.common.ResourceLoader;
import com.tagfriendly.common.SqlFileDescription;
import com.tagfriendly.common.TableCreation;
import com.tagfriendly.jdbc.CacheConnector;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.util.List;
import java.util.ArrayList;
import java.util.Enumeration;
import java.io.*;
import java.net.URL;

import org.apache.log4j.Logger;

/**
 * Created by: gary at Oct 20, 2007 3:04:41 PM
 */
class FreeDbTableCreation extends TableCreation {

    public FreeDbTableCreation(Connection con) {
        super(con);
    }

    public SqlFileDescription[] getTableDescriptions() {
        return new SqlFileDescription[] {
            new SqlFileDescription(getSchema() + ".entry",false),
            new SqlFileDescription(getSchema() + ".title",false),
            new SqlFileDescription(getSchema() + ".extt",false),
        };
    }

    public String getSchema() {
        return "freedb";
    }
   
}
