package com.tagfriendly.jdbc;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.DriverManager;

/**
 * Created by: gary at Oct 20, 2007 3:06:13 PM
 */
public class CacheConnector {
    public static Connection connect(String host, int port, String db, String user, String pass) throws SQLException {
        try {
            Class.forName("com.intersys.jdbc.CacheDriver");
        } catch (ClassNotFoundException e) {
            SQLException sql = new SQLException("Could not create jdbc driver.");
            sql.initCause(e);
            throw sql;
        }

        String url = "jdbc:Cache://" + host + ":" + port + "/" + db;
        Connection con = DriverManager.getConnection(url,user,pass);
        return con;
    }
}
