package com.tagfriendly.relational;

/**
 * Created by: gary at Oct 27, 2007 7:21:03 AM
 */
public class Artist {
    private int artistId;
    private final String name;

    static final Artist Blank = new Artist("");

    boolean isNew() { return artistId == -1; }

    public Artist(String name) {
        this(-1,name);
    }

    public Artist(int artistId, String name) {
        setArtistId(artistId);
        this.name = name;
    }

    void setArtistId(int artistId) {
        this.artistId = artistId;
    }

    public int getArtistId() {
        return artistId;
    }

    public String getName() {
        return name;
    }
}
