package com.tagfriendly.relational;

/**
 * Created by: gary at Oct 27, 2007 11:22:54 AM
 */
public class Track {
    private int trackId;
    private int albumId;
    private final String name;
    private final String extt;
    private final int playOrder;

    private Album album = Album.Blank;

    Track(String name, String extt, int playOrder) {
        this(-1,-1,name,extt,playOrder);
    }

    public Track(int trackId, int albumId, String name, String extt, int playOrder) {
        setTrackId(trackId);
        setAlbumId(albumId);
        this.name = name;
        this.extt = extt;
        this.playOrder = playOrder;
    }


    public Album getAlbum() {
        return album;
    }

    public void setAlbum(Album album) {
        this.album = album;
    }

    public void setTrackId(int trackId) {
        this.trackId = trackId;
    }

    public void setAlbumId(int albumId) {
        this.albumId = albumId;
    }

    public int getTrackId() {
        return trackId;
    }

    public int getAlbumId() {
        return albumId;
    }

    public String getName() {
        return name;
    }

    public String getExtt() {
        return extt;
    }

    public int getPlayOrder() {
        return playOrder;
    }
}
