package com.tagfriendly.freedb;

/**
 * Thrown when a data format problem is encountered.
 * Created by: gary at Oct 24, 2007 3:19:54 PM
 */
class FormatException extends Exception {

    private String archivePath = "";

    // constructor.
    FormatException(String msg) {
        super(msg);
    }

    // so we know which entry caused the problem.
    void setArchivePath(String s) { archivePath = s; }

    // get the entry that caused the problem.
    String getArchivePath() { return archivePath; }
}
