package com.tagfriendly.relational;

/**
 * Created by: gary at Oct 27, 2007 7:39:39 AM
 */
public class Album {
    private int albumId;
    private int artistId;

    private final String name;
    private final String year;
    private final String genre;
    private final String discId;
    private final int quality;

    private Artist artist = Artist.Blank;

    static final Album Blank = new Album("","","","",0);

    Album(String name, String year, String genre, String discId,int quality) {
        this(-1,-1,name,year,genre,discId,quality);
    }

    public Album(int albumId, int artistId, String name, String year, String genre, String discId, int quality) {
        setAlbumId(albumId);
        setArtistId(artistId);
        this.name = name;
        this.year = year;
        this.genre = genre;
        this.discId = discId;
        this.quality = quality;
    }

    public Artist getArtist() {
        return artist;
    }

    public void setArtist(Artist artist) {
        this.artist = artist;
    }

    public int getQuality() { return quality; }

    public String getYear() {
        return year;
    }

    public int getAlbumId() {
        return albumId;
    }

    public int getArtistId() {
        return artistId;
    }

    public String getName() {
        return name;
    }

    public String getGenre() {
        return genre;
    }

    public String getDiscId() {
        return discId;
    }

    public void setAlbumId(int albumId) {
        this.albumId = albumId;
    }

    public void setArtistId(int artistId) {
        this.artistId = artistId;
    }
}
