package com.tagfriendly.relational;

/**
 * Created by: gary at Oct 27, 2007 7:06:51 AM
 */
class Entry {
    private final int discLength;
    private final String year;
    private final String genre;
    private final String discId;
    private final String album;
    private final String artist;
    private final int quality;

    public Entry(int discLength, String year, String genre, String discId, String album, String artist, int quality) {
        this.discLength = discLength;
        this.year = year;
        this.genre = genre;
        this.discId = discId;
        this.album = album;
        this.artist = artist;
        this.quality = quality;
    }

    public int getQuality() { return quality; }

    public int getDiscLength() {
        return discLength;
    }

    public String getYear() {
        return year;
    }

    public String getGenre() {
        return genre;
    }

    public String getDiscId() {
        return discId;
    }

    public String getAlbum() {
        return album;
    }

    public String getArtist() {
        return artist;
    }
}
