package com.tagfriendly.relational;

import org.apache.log4j.Logger;

import java.sql.SQLException;
import java.sql.Connection;

import com.tagfriendly.common.TableCreation;
import com.tagfriendly.common.SqlFileDescription;

/**
 * Created by: gary at Oct 25, 2007 3:36:11 PM
 */
class RelationalTableCreation extends TableCreation {

    RelationalTableCreation(Connection con) throws SQLException {
        super(con);
    }

    public SqlFileDescription[] getTableDescriptions() {
        return new SqlFileDescription[] {
            new SqlFileDescription(getSchema() + ".artist",false),
            new SqlFileDescription(getSchema() + ".album",false),
            new SqlFileDescription(getSchema() + ".track",false),
        };
    }

    public String getSchema() {
        return "rela";
    }

}
